> ## Documentation Index
> Fetch the complete documentation index at: https://docs.swervpay.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Webhook

> Create webhook



## OpenAPI

````yaml POST /webhook
openapi: 3.0.0
info:
  title: Swervpay Developer API Specification
  version: 0.0.0
servers:
  - url: https://api.swervpay.co/api/v1
    description: Production API
  - url: https://sandbox.swervpay.co/api/v1
    description: Sandbox API
security:
  - bearerAuth: []
paths:
  /webhook:
    post:
      tags:
        - webhook
      description: Create webhook
      operationId: createWebhook
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BusinessWebhookWebhookInput'
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TypesBusinessWebhook'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UsererrorError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UsererrorError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UsererrorError'
components:
  schemas:
    BusinessWebhookWebhookInput:
      type: object
      properties:
        description:
          type: string
        events:
          type: array
          items:
            $ref: '#/components/schemas/EnumWebhookEventTrigger'
        url:
          type: string
    TypesBusinessWebhook:
      type: object
      properties:
        created_at:
          type: string
          format: date-time
        description:
          type: string
        endpoint_url:
          type: string
        events:
          type: string
        id:
          type: string
        signing_key:
          type: string
        status:
          type: string
        updated_at:
          type: string
          format: date-time
    UsererrorError:
      type: object
      properties:
        message:
          type: string
        values:
          type: object
          additionalProperties: {}
    EnumWebhookEventTrigger:
      enum:
        - bill.completed
        - bill.failed
        - bill.processed
        - card.authorization
        - card.charges
        - card.contactless.activation
        - card.created
        - card.created.failed
        - card.freezed
        - card.terminated
        - card.transaction
        - card.unfreezed
        - card.updated
        - checkout.completed
        - checkout.failed
        - collection.completed
        - collection.created
        - collection.created.failed
        - collection.failed
        - collection.notification
        - collection.updated
        - customer.created
        - customer.kyc.updated
        - customer.updated
        - payout.completed
        - payout.failed
        - payout.processed
        - payout.processing
        - payout.reversed
        - wallet.created
        - wallet.updated
      type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````